Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1357293

Summary: [abrt] calibre: news.py:1171:build_index:ValueError: No articles found, aborting
Product: [Fedora] Fedora Reporter: James Caldwell <jamescaldwell1>
Component: calibreAssignee: Kevin Fenzi <kevin>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: chkr, frankly3d, helio, kevin, nushio, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/b3a9ba1c25a240f64453eb7536eebdbd193651a7
Whiteboard: abrt_hash:5a6b701edf92040318683252c98bbc4a25b237c6;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-20 21:12:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: environ none

Description James Caldwell 2016-07-17 21:35:47 UTC
Version-Release number of selected component:
calibre-2.60.0-2.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         4.6.4-201.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
news.py:1171:build_index:ValueError: No articles found, aborting

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 189, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1060, in run
    accelerators, tdir)
  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 241, in __call__
    log, accelerators)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/recipe_input.py", line 116, in convert
    ro.download()
  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 998, in download
    res = self.build_index()
  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 1171, in build_index
    raise ValueError('No articles found, aborting')
ValueError: No articles found, aborting

Local variables in innermost frame:
feeds: []
self: <RT_eng object at 0x7f03854da890>

Potential duplicate: bug 1184692

Comment 1 James Caldwell 2016-07-17 21:35:52 UTC
Created attachment 1180860 [details]
File: backtrace

Comment 2 James Caldwell 2016-07-17 21:35:53 UTC
Created attachment 1180861 [details]
File: environ

Comment 3 James Caldwell 2016-07-17 21:40:59 UTC
I was copying a copy of Select Orations of Marcus Tullius Cicero: With English Notes from calibre to my phone at the same time several newspapers were downloading. While this crashed I could still continue to download news.

Comment 4 James Caldwell 2016-07-17 21:42:34 UTC
I notice it failed when RT in English failed. While this is listed for download it appears to be crashing calibre.

Comment 5 Kevin Fenzi 2016-07-23 22:17:24 UTC
Thanks for the report. Will look into a fix...

Comment 6 Fedora End Of Life 2016-11-25 09:26:34 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2016-12-20 21:12:21 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.